package com.logicbig.example;

import javax.persistence.ElementCollection;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

@Entity
public class Customer {
    @Id
    @GeneratedValue
    private int id;
    private String name;

    @ElementCollection
    private Map<Order, String> orders;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Map<Order, String> getOrders() {
        return orders;
    }

    public void setOrders(Map<Order, String> orders) {
        this.orders = orders;
    }

    public void addOrder(String orderType, String itemName, int qty) {
        if (orders == null) {
            orders = new HashMap<>();
        }
        Order order = new Order();
        order.setItem(itemName);
        order.setQty(qty);
        order.setDate(new Date());
        orders.put(order, orderType);
    }

    @Override
    public String toString() {
        return "Customer{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", orders=" + orders +
                '}';
    }
}