package com.logicbig.example;

import javax.persistence.Embeddable;
import java.util.Date;
import java.util.Objects;

@Embeddable
public class Order {
    private String item;
    private int qty;
    private Date date;

    public String getItem() {
        return item;
    }

    public void setItem(String item) {
        this.item = item;
    }

    public int getQty() {
        return qty;
    }

    public void setQty(int qty) {
        this.qty = qty;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    @Override
    public String toString() {
        return "Order{" +
                "item='" + item + '\'' +
                ", qty=" + qty +
                ", date=" + date +
                '}';
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        Order order = (Order) o;

        if (qty != order.qty) return false;
        if (!item.equals(order.item)) return false;
        return date.equals(order.date);
    }

    @Override
    public int hashCode() {
        return Objects.hash(item, qty, date);
    }
}